:REM  UKA_FXP.BAT ͻ
:REM                                                                       
:REM  (c) 2004 by FreeXP <support@freexp.de>                               
:REM                                                                       
:REM  Funktion: Betrieb von UKA_PPP in einer RFC/Client-Box von FreeXP     
:REM                                                                       
:REM  Version : v0.99 vom 16.09.2004                                       
:REM                                                                       
:REM  Autor   : Michael Heydekamp                                          
:REM            eMail:  <my@freexp.de>                                     
:REM            WWW:    <http://www.freexp.de/>                            
:REM                                                                       
:REM  Kompatibilitt: FreeXP v3.40 oder hher      (CrossPoint-Version)    
:REM                  UKA_PPP v1.7x2               (Client)                
:REM                  MS-DOS 3.30 bis Windows XP   (Betriebssystem/Shell)  
:REM                  oder damit kompatible                                
:REM                                                                       
:REM ͹
:REM                                                                       
:REM  Installation und Verwendung dieses Programms (Kurzanleitung):        
:REM  =============================================================        
:REM                                                                       
:REM   1. UKA_PPP in einem Verzeichnis direkt unterhalb des                
:REM      XP-Verzeichnisses (z.B. C:\XP\UKA_PPP) installieren bzw. ein     
:REM      bereits installiertes UKA_PPP in ein Unterverzeichnis von XP     
:REM      verschieben (falls nicht ohnehin schon dort vorhanden).          
:REM                                                                       
:REM                                                                       
:REM   2. Zur Sicherheit in allen UKA_PPP-Konfigurationsdateien mit der    
:REM      Endung .$CF und in der Datei WATTCP.CFG eine etwaig vorhandene   
:REM      Zeile "redirect=" entfernen oder mit "# " am Zeilenanfang        
:REM      auskommentieren.                                                 
:REM                                                                       
:REM      (Ein evtl. doch noch vorhandener Eintrag wird beim Netcall       
:REM      automatisch mit einem leeren Wert versehen und somit ohnehin     
:REM      deaktiviert.)                                                    
:REM                                                                       
:REM                                                                       
:REM   3. Diese Batchdatei in das XP-Verzeichnis kopieren.                 
:REM                                                                       
:REM                                                                       
:REM   4. Neue Box vom Netztyp RFC/Client anlegen bzw. den Netztyp einer   
:REM      umzustellenden ZConnect-Box mit Edit/Boxen/Netztyp in RFC/Client 
:REM      ndern.                                                          
:REM                                                                       
:REM                                                                       
:REM   5. Eintrag bei /Edit/Boxen/Edit/Client/Client-Verzeichnis:          
:REM                                                                       
:REM      UKA_PPP\  (bzw. den in 1. gewhlten Verzeichnisnamen)            
:REM                                                                       
:REM      Der Backslash am Ende ist wichtig und wird von FreeXP            
:REM      bei der Eingabe automatisch ergnzt.                             
:REM                                                                       
:REM                                                                       
:REM   6. Eintrag bei /Edit/Boxen/Edit/Client/Client-Aufruf:               
:REM                                                                       
:REM      UKA_FXP.BAT [Optionen] $CLPATH $CONFIG [<UKA_PPP-Config>]        
:REM                                                                       
:REM      Optionen: /XNL    = X_NEWS.LOG kumulieren                        
:REM                /R+     = Redirect-Handling erzwingen                  
:REM                /R-     = Redirect-Handling verhindern                 
:REM                /NOSTAT = Status-Mails => PM-Brett (statt UKA_PPP)    
:REM                                                                       
:REM      Nheres zu den Optionen siehe Dokumentation. /R- und /NOSTAT     
:REM      knnen etwas die Performance bei der Bearbeitung eingegangener   
:REM      Mails verbessern, jedoch sollte /R- auf keinen Fall angegeben    
:REM      werden, wenn gleichzeitig die Redirect-Funktion in <Config>.$DO  
:REM      verwendet wird (Parameter "-r <redir_address>" im x_pop-Aufruf). 
:REM      Umgekehrt sollte /R+ nicht angegeben werden, wenn man sicher     
:REM      ist, da die Redirect-Funktion in <Config>.$DO nicht verwendet   
:REM      wird (es htte zwar keinen Einflu auf die Behandlung eingehen-  
:REM      der Mails, wrde aber durch berflssige Prfungen die Perfor-   
:REM      mance verschlechtern).                                           
:REM                                                                       
:REM      Mit der optionalen Angabe von <UKA_PPP-Config> (Dateiname ohne   
:REM      Pfad und Erweiterung!) als letztem Parameter kann der Name einer 
:REM      UKA_PPP-Konfiguration bergeben werden, deren zentrale Konfigu-  
:REM      retionsdatei im UKA_PPP-Verzeichnis die Erweiterung .$CF trgt   
:REM      und die bei einem Netcall in die globale Konfigurationsdatei     
:REM      WATTCP.CFG kopiert wird (Beispiel: die Angabe von "T-ONLINE" als 
:REM      letztem Parameter verwendet die Konfigurationsdatei T-ONLINE.$CF 
:REM      im UKA_PPP-Verzeichnis - Anfhrungszeichen bitte weglassen).     
:REM                                                                       
:REM      Existiert keine Konfiguration mit dem per letztem Parameter      
:REM      <UKA_PPP-Config> bergebenen Namen, wird der Netcall abge-       
:REM      brochen.                                                         
:REM                                                                       
:REM      Auf die Angabe eines Namens einer solchen UKA_PPP-Konfiguration  
:REM      kann verzichtet werden, wenn der Boxname in FreeXP, der mit dem  
:REM      XP-Makro $CONFIG als vorletztem Parameter ohnehin bergeben      
:REM      wird, mit dem Namen der UKA_PPP-Konfiguration identisch ist      
:REM      (Beispiel: Boxname "T-ONLINE" wrde automatisch die Konfigura-   
:REM      tionsdatei T-ONLINE.$CF im UKA_PPP-Verzeichnis verwenden).       
:REM                                                                       
:REM      Wird nur der vorletzte Parameter $CONFIG zur Spezifizierung der  
:REM      UKA_PPP-Konfiguration verwendet, wird der Netcall auch dann      
:REM      durchgefhrt, wenn diese Konfigurationsdatei im UKA_PPP-         
:REM      Verzeichnis fehlen sollte - es wird dann die mglicherweise im   
:REM      UKA_PPP-Verzeichnis existierende globale Konfigurationsdatei     
:REM      WATTCP.CFG verwendet (in der wiederum der Name des zu verwenden- 
:REM      den Netcall-Scripts mit der Dateierweiterung .$DO ber den       
:REM      Eintrag "$config=" definiert ist). Existiert auch WATTCP.CFG     
:REM      nicht, wird der Netcall mangels gltiger Konfiguration abge-     
:REM      brochen.                                                         
:REM                                                                       
:REM                                                                       
:REM   7. Eintrag bei /Edit/Boxen/Edit/Mail-/News-Server/Envelope-Adresse  
:REM      im Bereich "Mail-Server fr eingehende Mail":                    
:REM                                                                       
:REM      user@do.main  (Envelope-Adresse des POP3-Postfachs)              
:REM                                                                       
:REM                                                                       
:REM   8. Unter /Edit/Boxen/Edit/Mail-/News-Server im Bereich "Mail-Server 
:REM      fr eingehende Mail" den Schalter "Envelope-Header auswerten"    
:REM      aktivieren.                                                      
:REM                                                                       
:REM                                                                       
:REM   9. Falls UKA_PPP bisher in einer ZConnect-Box betrieben wurde und   
:REM      jetzt auf den Betrieb in einer RFC/Client-Box umgestellt wird:   
:REM      a) Unter Edit/Boxen/Edit/SysopMode den Schalter "Sysop-Mode      
:REM         aktivieren" deaktivieren, ggf. auch Eintrge lschen.         
:REM      b) Unter Edit/Boxen/Edit/Diverses den bisherigen "Eingangs-      
:REM         filter" (= Netcall-Start) entfernen und ggf. durch eigent-    
:REM         lichen Eingangsfilter ersetzen.                               
:REM                                                                       
:REM                                                                       
:REM  Alle weiteren Einstellungen werden wie bisher in UKA_PPP selbst      
:REM  vorgenommen. Da diese Batchdatei mit relativen Pfaden arbeitet,      
:REM  sind keine Anpassungen seitens des Anwenders in dieser Batchdatei    
:REM  notwendig.                                                           
:REM                                                                       
:REM ͼ
@echo off

if not exist UP_FXP.COM goto MAKE_COM
:REM Ŀ
:REM  Evtl. bereits existierende Utility-Sammlung UP_FXP.COM mittels
:REM  CRC32-Prfsumme verifizieren und nur neu erzeugen, wenn der
:REM  CRC-Check fehlschlgt.
:REM 
:REM  Die untenstehenden "echo"-Anweisungen nicht verndern!!!
:REM 
:REM  -- created with PLoP TextAsm v0.92 http://plop.at --
:REM 
echo `hLAX-P@P]h  X-WW-HG(FQ(FQ(FT(F[(FZ)F_)Fc)Fe>$
echo hhVUX)FY)Fa)FVh`RX- PPYhQX- PP`P_.=c_tPWmA,AAbZ_E,coLNLFABNBOFIDMFDJIM>>$
echo MIIONIIOMALPAAPALOAAABLJBIABPDKELIIBPAPPOALPFJPDLJBKAADCMAKKPOMAOCPLLPHJ>>$
echo PDLJBKAAKKPOMAOCPLLJAKAALPEIPDKKPOMAOCPLMGAGEDPDDOMGAGEHPDDPMGAGFFPDAAMM>>$
echo ILPFLPAAABLJAEAADDNLDDNCDDMAKMDMANHEPCDMAKHEOODMAAHEAPFGLOBIPDADPAKMIIIH>>$
echo BIPEEDFOOCOCKABIPEMAOAACIKBOBJPEMAOLAEAKMDKKKABJPEMAOAAEIKBOBKPEMAOLACAK>>$
echo MDKKKABKPEMAOAAGIKBOBLPEAKMDKKIBPPAAPAHCKIGBAOGIAAABMDAAMEPGAGBCAEBAHEAK>>$
echo FHILDONFAIDKAFFPHECCPOMEFHILDONBAIDKAFFPHEBIPOMEPGAGBCAEAIHEAKFHILDONNAI>>$
echo DKAFFPHEADOJEDPPOLGGPGAGECAEABHEBLIADOBIAEAAHEAJILBGEFAJOIHCAAOLPOKBKDAD>>$
echo KDBGAALIPPEMMNCBPGAGAIAEPPHEAFMGAGAJAE>>$
echo 6b0AK8kr0onItQjR6tHYcweB8rjtNSCD/s1176uLwqtBgfkAAXLew7j//5lQUr5oCYnyuQDA>>$
echo i920P80hicFaWHLl4x6L2KwxwwPbA9uI4IriiPIq9jMBM1EC4uiB/mjJc8r30PfS+MMQKuT2>>$
echo NmgB6AIAhuAEMDw5dgIEB6rDuQQAisaI1oj6iN/o3f/i88MAABAEAAAAAAAAigQ8IHYLPCx0>>$
echo BzwvdAOk6+/DuiMDubQAuwIAtEDNIcYGkAH/6VwBv2gE6D3/uABEK9vNIb6BAKw8IHT7TjwN>>$
echo dCE8L3Qd9sKAdT+/EATosP+5JwC61wOAff9cdbyJPpEB6wX2woB1q75oCInyuQABuwAAtD/N>>$
echo IXIJhcB0BYA8GnUD6f8AAfCjlwGLPpEBV+hv/8YFAFg5+HUD6b0AiT6TAb9gBMYFADwNdBys>>$
echo PCB0+zwsdPdOuQgAgDwNdAqsPGFyAiTfquLxiTaVAcYGjwEAuhAEsEC0Pc0hchKJxb9oBOit>>$
echo /lCci920Ps0hnVuLPpMBxgUgR3Iq6Oz+vmAEgDwAdB25CAApz/Omvv4DdAkBz/4GjwG+AgSA>>$
echo PCR0A6Tr+OsIuD8/q/4OjwGgjwEIBpABuA0Kq4s2lQGB/gABcg6APmAEAHQHgD6PAQB0DroQ>>$
echo BIvPKdG7AQC0QM0hgf4AAXYkOzaXAXMerDwKdfW0C80hifIrFpcBuf//uwAAsAG0Qs0h6eT+>>$
echo tEygkAHNIUNSQzMyIGZpbGUgW2NyYzMyXQ0KUmVwb3J0cyBbY2hlY2tzXSBDUkMzMg0KRXJy>>$
echo b3JsZXZlbCAxOiBjaGVjayBmYWlsZWQsIDI1NTogZmlsZSBub3QgZm91bmQNCkxpc3Qgb2Yg>>$
echo ZmlsZXMgKHNlZSBET0MpOg0KQ1JDMzIgW3BhdGhcXSA8IGZpbGVsaXN0DQpWZXIgMi4xIChj>>$
echo KSAxOTk3LCBIb3JzdCBTY2hhZWZmZXINCnBhdGggZXhwZWN0ZWQgd2l0aCB0cmFpbGluZyBi>>$
echo YWNrc2xhc2gNCiBvayQgbWlzbWF0Y2gkPz8kkA==>>$
if exist $CRC.COM del $CRC.COM
ren $ $CRC.COM
$CRC UP_FXP.COM 6BDC268A > nul
if not errorlevel 1 goto CHK_XP
del UP_FXP.COM

:MAKE_COM
:REM Ŀ
:REM  Fr die Ausgabe von Fehlermeldungen und das Envelope-/Redirect-
:REM  Handling bentigen wir diverse Utilities. Da wir nicht davon
:REM  ausgehen knnen, da diese auf dem System des Users vorhanden
:REM  sind, erzeugen wir unsere eigene Utility-Sammlung UP_FXP.COM im
:REM  XP-Verzeichnis (die am Ende der Batch nur gelscht wird, wenn sie
:REM  nicht im XP-Verzeichnis gestartet wurde).
:REM 
:REM  Die untenstehenden "echo"-Anweisungen nicht verndern!!!
:REM 
:REM  -- created with PLoP TextAsm v0.92 http://plop.at --
:REM 
echo `hLAX-P@P]h  X-WW-HG(FQ(FQ(FT(F[(FZ)F_)Fc)Fe>$
echo hhVUX)FY)Fa)FVh`RX- PPYhQX- PP`P_.=c_tPWmA,AAbZ_E,coLNLFABNBOFIDMFDJIM>>$
echo MIIONIIOMALPAAPALOAAABLJBIABPDKELIIBPAPPOALPFJPDLJBKAADCMAKKPOMAOCPLLPHJ>>$
echo PDLJBKAAKKPOMAOCPLLJAKAALPEIPDKKPOMAOCPLMGAGEDPDDOMGAGEHPDDPMGAGFFPDAAMM>>$
echo ILPFLPAAABLJAEAADDNLDDNCDDMAKMDMANHEPCDMAKHEOODMAAHEAPFGLOBIPDADPAKMIIIH>>$
echo BIPEEDFOOCOCKABIPEMAOAACIKBOBJPEMAOLAEAKMDKKKABJPEMAOAAEIKBOBKPEMAOLACAK>>$
echo MDKKKABKPEMAOAAGIKBOBLPEAKMDKKIBPPAAPAHCKIGBAOGIAAABMDAAMEPGAGBCAEBAHEAK>>$
echo FHILDONFAIDKAFFPHECCPOMEFHILDONBAIDKAFFPHEBIPOMEPGAGBCAEAIHEAKFHILDONNAI>>$
echo DKAFFPHEADOJEDPPOLGGPGAGECAEABHEBLIADOBIAEAAHEAJILBGEFAJOIHCAAOLPOKBKDAD>>$
echo KDBGAALIPPEMMNCBPGAGAIAEPPHEAFMGAGAJAE>>$
echo 6aIAICAsOz0vLg27BwA6hwMBdARLdff5w6y7BQDo7v9z9064ASnNIazo3/9y+k7DK9KAPQB1>>$
echo AcNWuQgArDxhcgY8encCJN+KJa7h8JwBz4PHBJ10DYTkdQs8IHYF6Kv/cgKJ+l6LBUdHAcfr>>$
echo xbEGgDwAdCG1CIoUhNJ1ArIgtALNIUb+zXXvsiC0As0hg8YErQHG4tq6FgK0Cc0hgDwAdcy0>>$
echo TM0huAABUFNRUlZXvxkCvoEArDwgdPtOPA10BDwvdQSJ/uun6Gf/hdJ1CboLArQJzSHry0dX>>$
echo UrgBKb9cAM0hv4EAV7T/rKr+xDwNdfheiGT/v1wA6CD/UL9sAOgZ/1gq5Dz/dAIqwF7DYmFk>>$
echo IGNvbW1hbmQNCiRDUkxGAAAAAMALeyRCAulFAP//AAArwCr/ugoAihyA6zA62nMHRvfiAdhz>>$
echo 7cNRUrpfeovPKdHjB7sBALRAzSGJ11pZw7pfArnjALsCALRAzSGw/+kTAbgARCvbzSH2woB1>>$
echo 4r6BAKw8IHT7TjwNdEQ8L3XRRqw8DXQ6gDw6dQFGUOiS/1uA+2F2A4Dj34D7RXUFowMB68+A>>$
echo +0N0BYD7THUGiB4FAeu/gPtUdQaIHgYB67Trkb9feivJK9K+XwJRUonyuQB4uwAAtD/NIVpZ>>$
echo cwPplwCFwHUD6YsAicUB9YH9X3pzBMZGABqsPAp0CjwNdSWAPAp1AUYr+jsOAwF3FYA+BQFM>>$
echo dAOwDaqAPgUBQ3QDsAqqQesfPBp0S6qAPgYBVHUIPCB0CDwJdAQryesHQoH/X/JyDYH/X+52>>$
echo Bejw/nIqK9KB/V96cqCB/k96cppRUonyKeq5//+7AACwAbRCzSFaWelW/+jG/irAtEzNIUNS>>$
echo TEYgMS4zIChjKSBIb3JzdCBTY2hhZWZmZXINCkZpbHRlciwgbWFrZXMgQ1IrTEYgZm9yIGxp>>$
echo bmVzIHRlcm1pbmF0ZWQgYnkgQ1Igb3IgTEYgb25seQ0KT3B0aW9uczoNCiAvQwlsaW5lcyB0>>$
echo byBiZSB0ZXJtaW5hdGVkIGJ5IENSIG9ubHkNCiAvTAkuLi4gYnkgTEYgb25seQ0KIC9UCWN1>>$
echo dCB0cmFpbGluZyBibGFua3MNCiAvRVtuXQlyZW1vdmUgZW1wdHkgbGluZXMgW2lmIG1vcmUg>>$
echo dGhhbiBuXQ0KTElORVgAAAAXkhUxzALpfAAAAAEASgQAK8Aq/7oKAIocgOswOtpzB0b34gHY>>$
echo c+2FwMOLFgcBi88p0XYMgA4JAQK7AQC0QM0hcwPpOwDDoQUBO4bMA3UY9gYJAQF0A+jR/4A2>>$
echo CQEBiT4HAYPFAuvfw7qSAukDALqnAonWKuSsQonBuwIAtEDNIbD/6Q8BvoEArDwgdPtOPA10>>$
echo EDwvdAy4AEQr280h9sKAdAe6wgK0Cc0hv8wDrDwgdPtO6Fv/dLE7Rf5ysquJwaw8IHT7Tjwt>>$
echo dRFGrDwgdPtO6D3/dQJISEDrHjwodRdG6C7/gDwpdYFGhcB1BU9P6Q8AA8HrA4nIQDvBdwPp>>$
echo b/+rrDwgdPs8LHT3TjwNdZ64//+rK+2/SgSJPgcBK9uJ+rkAyLQ/zSFybIXAdF2JwQHQowMB>>$
echo UegP/1mDvswD/3UH9gYJAQF0Q4H5ACB3CIE+AwFKzHMV/wYFAbAN8q51C+MJgD0KdQJHSXXK>>$
echo 9gYJAQF0A+i3/on6KxYDAXMOuf//uwAAsAG0Qs0h64sqwPYGCQECdQL+wLRMzSEUSW52YWxp>>$
echo ZCBwYXJhbWV0ZXJzDQoaQXNjZW5kaW5nIG9yZGVyIHJlcXVpcmVkDQpMSU5FWCByYW5nZSBb>>$
echo cmFuZ2UgLi4uXSA8IGluLnR4dCA+IG91dC50eHQNCnZlciAxLjQgKGMpIDE5OTctMjAwNCwg>>$
echo SG9yc3QgU2NoYWVmZmVyDQpleHRyYWN0IHJhbmdlKHMpIG9mIGxpbmVzIChTVERJTi9TVERP>>$
echo VVQpDQpNYXguIGxpbmUgc2l6ZTogOCBLYg0KcmFuZ2UgKGV4YW1wbGVzKToNCiAgMzMtMzYg>>$
echo IGZyb20uLnRvIGxpbmUgbnVtYmVyDQogIDMzICAgICBvbmUgbGluZQ0KICAzMyg0KSAgbnVt>>$
echo YmVyIG9mIGxpbmVzDQogIDMzLSAgICB1cCB0byBlbmQNCiQBAE1PVkUAAAAAcEMmJU8F6TUF>>$
echo TU9WRSBWZXIuIDIuNCAoYykgMTk5MC05OCwgSG9yc3QgU2NoYWVmZmVyDQpWZXJzY2hpZWJ0>>$
echo IERhdGVpZW4gKGtlaW5lIFZlcnplaWNobmlzc2UpIGlubmVyaGFsYiBlaW5lcyBMYXVmd2Vy>>$
echo a3MNCkZhbGxzIFppZWxkYXRlaSBiZXJlaXRzIGV4aXN0aWVydCwgd2lyZCBzaWUgb2huZSBS>>$
echo gWNrZnJhZ2UgZ2VslHNjaHQNCgpNT1ZFIFF1ZWxsZGF0ZWkoZW4pIFppZWx2ZXJ6ZWljaG5p>>$
echo cw0KTU9WRSBRdWVsbGRhdGVpKGVuKSBaaWVsZGF0ZWkoZW4pDQogICAgIERhdGVpLUJlZ3Jp>>$
echo ZmZlIChQZmFkZSwgSm9rZXJ6ZWljaGVuKSB3aWUgQ09QWQ0KClppZWx2ZXJ6ZWljaG5pcyBt>>$
echo deEgZXhpc3RpZXJlbg0KQXVzZ2FiZSBrYW5uID4gTlVMIHVtZ2VsZWl0ZXQgd2VyZGVuDQoA>>$
echo CgABzyvS9zZ9AoDCME+IFXQEhcB17sM8YXIGPHp3AjQgwyssLzw9PltdO1esPCB0+zwJdPdO>>$
echo igTo3P+7CQA6h54CdAtLdfc8IHYEqkbr5yrAql/DK9sq5InagDkAdDmAeQE6dQWAzAFDQ4A5>>$
echo XHUEgMwCQ4nagDkudQOAzBCKATw/dAQ8KnUDgMwEhMB0CkM8XHXqgMwI69uJ04oBw4sFJN+E>>$
echo wHQFgPw6dPK0Gc0hBEG0OsPoAwC+egIryYnyrITAdANB6/jjBLRAzSHDuwIA6OH/6c4CK9uK>>$
echo AIgBQ4TAdffDK9uAOQB0A0Pr+MYBXEPDxwEqLsdBAioAw+hX//bEBHX3hMB0JoM5LnQegTku>>$
echo LnUGgHkCAHQSifq5NwC0Ts0hcg32BpUAEHQG6LX/6MH/w7kMAIvZS8YBIHX6KuS5CACKBITA>>$
echo dOk8LnUEAc/rDzwqdQewP/OqRusEqkbi44oEhMB0zDwudAL5w6pGuQMAigSEwHT0PCp1B7A/>>$
echo 86pG6wSqRuLrgDwAdAH5w1ppZWxwZmFkIG5pY2h0IHZvcmhhbmRlbgBOdXIgYXVmIGRlbSBz>>$
echo ZWxiZW4gTGF1ZndlcmshAFVuZ4FsdGlnZSBaaWVsLUFuZ2FiZQCLXgqLBeg5/oTAdBGA/Dp1>>$
echo DDjYdAa+IATp2/7rBY19/okdif6LfgLo1f6J9+hP/vbEBHUM9kYJBHQGvj0E6bb+9sQIdCbG>>$
echo Qf8A6DL+PC50G4n6uTcAtE7NIb4HBHIK9gaVABB1Br49BOmL/sO/KAvo6P6+KAuLfga7NQu5>>$
echo DACKBzw/dQKKBENGPCB0Aari7yrAqsMgKioqIG5pY2h0IHZlcnNjaG9iZW4gKioqAP9GDL6e>>$
echo AFa7AQDoKf5ei34A6L39rIgBQ4TAdfi+ngDonf+LfgKLVgC0Vs0hcxGJ+rRBzSFyF4tWALRW>>$
echo zSFyDr58ArsBAOjo/f9GDusJvuYEuwEA6Nr9w7kjAItWALROzSFyB+ia/7RP6/XDICAgICBE>>$
echo YXRlaShlbikgdmVyc2Nob2JlbgC+gQCsPCB0+048L3UWRooEPD91Br4DAemq/Tx5dAQ8WXUB>>$
echo Rot+AOj6/IA9AHUGvgMB6ZD9i34E6On8i34A6LL96An9iGYJ6Ez9iUYKi34E6KD96Hn+i34C>>$
echo 6PH8jTGJdga/NQvowv1zBr49BOlW/cYGJwYC6Fz/i0YOv2sFuQQA6Hj8if67AQDoIf3GBicG>>$
echo AItGDDtGDnQE/gYnBrRMoCcGzSEDOAqKCtgKAAAAAAAAAAAAALw4Cru1ALRKzSG4/0xzAs0h>>$
echo vSgG6Tb/UUVDSE8AAACoTpMpxQPpvgDFBAoAVivAK8mKDIDpMDsOBQFzDUb3JgUBA8FyBIXS>>$
echo dOhaO/LDPCd0BDwidRdGiMSAPA1076w6xHUHOAR0AvjDRqrr7DxedQ1GrCxAPCBzA6r4w/nD>>$
echo PEB1ITk+AwFzBIk+AwFG6J3/PQAEcwyFwHQISL/FBAHH6wH5w+iH/3QKPQABcgL5w6r4w60l>>$
echo 39+G4D1SQ3UEsA3rID1GTHUEsArrFz1GRnUEsAzrDj1TRXUNrCTfPEN1BrAbqvjrAfnDv8UE>>$
echo uABEK9vNIfbCgHUeifq5AAS7AAC0P80hcwPpXgCJwbAN8q51AU+JPgMBucUIKfmwIPOqK+2/>>$
echo xQS+gQCsPCB0+zw7dPc8LHTzToE8Lz91CrpFArQJzSHpIgA8DXQG6AT/c9lFOz4DAXMEiz4D>>$
echo AbrFBIvPKdG7AQC0QM0hiei0TM0hUUVDSE8gMS4zIChjKSAxOTk5IEhvcnN0IFNjaGFlZmZl>>$
echo cg0KRWNobyBzdHJpbmdzIGFuZCBzcGVjaWFsIGNoYXJhY3RlcnMgKHRvIFNURE9VVCkNCmRl>>$
echo ZmF1bHRzIHdpdGhvdXQgdGVybWluYXRpbmcgY2FycmlhZ2UgcmV0dXJuICsgbGluZSBmZWVk>>$
echo DQpTcGVjaWZ5Li4NCq8gc3RyaW5ncyBpbiBzaW5nbGUgb3IgZG91YmxlIHF1b3RlIG1hcmtz>>$
echo DQogIHRvIHVzZSB0aGUgc2FtZSB0eXBlIG9mIHF1b3RlIG1hcmtzIHdpdGhpbiBhIHN0cmlu>>$
echo ZzogZG91YmxlDQogIGUuZy4gIlRoZSB3b3JkIGlzICIiRk9PIiIiDQqvIGJ5dGUgdmFsdWVz>>$
echo IChkZWNpbWFsKQ0KryBjb250cm9sIGNoYXJhY3RlcnMgd2l0aCBjYXJldCwgZS5nLjogXkcN>>$
echo Cq8gc3BlY2lhbCBjaGFyYWN0ZXJzOiBDUixMRixGRixFU0MNClNlcGFyYXRvcnM6IGJsYW5r>>$
echo IHNwYWNlIGFuZC9vciBjb21tYQ0KRXhhbXBsZXM6DQogIFFFQ0hPICJhIHN0cmluZyB3aXRo>>$
echo ICIgXkcgImJlbGwiLENSLExGDQogIFFFQ0hPICI8QSBIUkVGPSIiJVVSTCUiIj5EZXNjcmlw>>$
echo dGlvbjwvQT4iID4+IHNvbWUuaHRtDQpFeHRyYXM6DQogIEBuIHNldHMgd3JpdGluZyBwb2lu>>$
echo dCB0byBjb2x1bW4gbg0KICBJbnB1dCBsaW5lIChTVERJTikgaXMgdGFrZW4gZm9yIG1vZGlm>>$
echo aWNhdGlvbnMNCg0KJFMAAAAAAAAAJpcWMekBvoEArDwgdPtOPHN0BDxTdRS7AQC60gG5BwC0>>$
echo QM0hRqw8IHT7TjwidSVGrKLRAaw8InUbrDwgdPtOrIrYPDF0BDwydQqsPCB0+06K+OsSuwIA>>$
echo utkBuRABtEDNIbD/6W0AU7/ZAbsAAIn6uQDwtD/NIYnBif6KJtEB4xGsSTrEdAuA/CB1BDwJ>>$
echo dALr7Yn3W4D7MXUUhcl0CoD/K3QBT7gNCquLzynR6x2FyXQXgP8rdQRPQesOgD0gdAWAPQl1>>$
echo BEdJ6/KJ+rsBALRAzSEqwLRMzSEgU0VUICUxPVNQTElORSAtIFplaWxlIHplcmxlZ2VuIChT>>$
echo VERJTixTVERPVVQpDQpTeW50YXg6IFNQTElORSBbU10gVHJlbm56ZWljaGVuIDF8MiBbK10N>>$
echo CglPcHRpb25hbCBTOiBlcnpldWd0IFByZWZpeCAiU0VUICUxPSINCglUcmVubnplaWNoZW4g>>$
echo aW4gZG9wcGVsdGVuIEFuZoFocnVuZ3N6ZWljaGVuIChibGFuayBpbmtsLlRBQikNCglFeHRy>>$
echo YWhpZXJlIFRlaWwgMSBvZGVyIDINCglPcHRpb25hbCArOiBpbmtsdXNpdmUgVHJlbm56ZWlj>>$
echo aGVuDQpCZWlwaWVsOiBTUExJTkUgUyAiOiIgMQ0KVkFSR0VUAABIolEuWwTp2QOOmZqAj5CS>>$
echo pQAAAAAAAAAAAAAAAACElIGHhoKRpAAAAAAAAAAAAAAAAAANClZBUkdFVCAxLjIgKGMpIDIw>>$
echo MDMsIEhvcnN0IFNjaGFlZmZlcg0KZXh0cmFjdHMgYXNzaWdubWVudHMgZnJvbSBhbiBJTkkg>>$
echo ZmlsZQ0KYW5kIHNldHMgZW52aXJvbm1lbnRhbCB2YXJpYWJsZSBhY2NvcmRpbmdseQ0KU3lu>>$
echo dGF4IChzZWUgVkFSR0VULlRYVCk6DQpDQUxMIFZBUiBHRVQgW3NlY3Rpb25ddmFybmFtZTEg>>$
echo ey4ufSBGUk9NIGZpbGVzcGVjDQpUaGUgc2VjdGlvbiBuYW1lIGluIHNxdWFyZSBicmFja2V0>>$
echo cyBpcyBvcHRpb25hbA0KKEZpbGUgVkFSLkJBVCByZXF1aXJlZCBpbiBkaXJlY3Rvcnkgb2Yg>>$
echo VkFSR0VULkNPTSkNCgZSix4sAEuOwyaLDgMAweEEvxAAsAHyrnUjJoA9AHX0jV0Bi8qJ1yaK>>$
echo B0OIBUc8XHUCi8+EwHXvi/n46wH5WgfDPH93CzxhcgY8encCJN/DU7sAADqHGAF1BoqHAwHr>>$
echo DYC/GAEAdAZDg/sVcudbwyvbOCF0DYoA6Mf/OgF1A0Pr8MONMMOsPCB0+06IxDwidQFGv1sL>>$
echo gDwNdBGsgPwidQQ6xHQHPCB0A6rr6rAAqsOAPBp0+qw8DXX2gDwKdQFGw6w8IHT7TjxbdQq0>>$
echo Xeig/3UDgDxdnOjX/510BYA8GnXggD1ddANH6/hHwyvJgf5bC3QBQaw8IHT7TjwadBs8W3QO>>$
echo KuToaf91BYA8PXTc6wSFyXUF6Jn/69v+BloFDP/DvVsHv1sFgD0AdQOL/cO+WwuAPVt1A+iI>>$
echo /4A9AHUDR+vlVofvuHNlq7h0IKuL9YA8AHQDpOv4sD2qh+9e6Iz/h+91F0aAPA10CIA8GnQD>>$
echo pOvzgH3/IHUDT+v3uA0Kq4fvgD0AdANH6/hH65tGUk9NIL9bBaw8IHT7PCx09zwidPNOgDwN>>$
echo dQL5w4A8W3UTpIA8DXUC+cOs6In+qjxddfDr01e/5QO0IOin/l91BbgAAKvDgDwNdQL5w6zo>>$
echo Zv6qgDwgdAqAPCx0BYA8InXlsACq66IuQkFUAAEAulsL6AP+ctesPCB0A6rr+Fa+SwSshMCq>>$
echo dfpesAK0Pc0hcryjUASL2L9bC4n6uQAEtD/NIbAN8q6APQp1AUeAPUB08Yn6gepbCyvJKsC0>>$
echo Qs0hK8m0QM0hw1ZBUkdFVCBzeW50YXggZXJyb3INCrkVALqqBLsCALRAzSHGBloF/+l/ALku>>$
echo AbotAevpvoEArDwgdPtOPA1064E8Lz905Tw9dMw8s3UKRqw8IHT7TuhR/+jm/nK56Nf9v1sL>>$
echo ifqwILQ9zSFzCMYGWgX/6TUAifq5/O+L2LQ/zSFyAgHHuA0Kq7AaqrQ+zSHoP/66WweLzynR>>$
echo ix5QBLRAzSGD+wF0BLQ+zSG0TKBaBc0hAFZBUlNFVAAATkooLV0M6aYLjpmagI+QkqUAAAAA>>$
echo AAAAAAAAAAAAhJSBh4aCkaQAAAAAAAAAAAAAAAAAsw0KVkFSU0VUIDEuMiAoYykgMjAwMS0y>>$
echo MDAyLCBIb3JzdCBTY2hhZWZmZXINCnNldHMgdmFyaWFibGUgdGhyb3VnaCBDQUxMIFZBUiBT>>$
echo RVQgLi4gY29uc3RydWN0IChzZWUgVFhUIGZpbGUpDQp3aXRoIExGTiBzdXBwb3J0IChXaW45>>$
echo eCkNClN5bnRheDogQ0FMTCBWQVIgU0VUIHZhcm5hbWU9ZXhwcmVzc2lvbiBbb3B0aW9uc10N>>$
echo CkV4cHJlc3Npb25zOg0KCURBVEV8VElNRSBPRiBmaWxlDQoJRklMRVN8RElSUyBPRiBmaWxl>>$
echo c3BlYyAod2lsZGNhcmRzKQ0KCVNJWkUgT0YgZmlsZShzKQ0KCUxJTkVTIE9GIGZpbGUNCglW>>$
echo T0wgT0YgZHJpdmUNCglEUklWRXwtRFJJVkUgT0YgZmlsZXNwZWMNCglOQU1FIE9GIGZpbGVz>>$
echo cGVjDQoJRVhUfC1FWFQgT0YgZmlsZXNwZWMNCglMRk58U0ZOIE9GIGZpbGUgb3IgZm9sZGVy>>$
echo DQoJRlVMTCBPRiBmaWxlc3BlYw0KCVNUUklORyhwLGwpIHN0cmluZw0KCShhcml0aG1ldGlj>>$
echo KQ0KT3B0aW9uczoNCgkvVXxMIHVwcGVyfGxvd2VyIGNhc2UNCgkvVCAgIHRob3VzYW5kcyBz>>$
echo ZXBhcmF0b3INCgkvUm4gIHJpZ2h0IGFsaWduICh0b3RhbCBzaXplPW4pDQoJL1puICBmaXhl>>$
echo ZCBsZW5ndGggd2l0aCBsZWFkaW5nIHplcm9zDQoGUoseLABLjsMmiw4DAMHhBL8QALAB8q51>>$
echo IyaAPQB19I1dAYvKidcmigdDiAVHPFx1AovPhMB174v5+OsB+VoHwwAtLL5dDSrAifK0OM0h>>$
echo igSivwOKRAuiwAOKRAeiwQPDig6/A4D5AHUChvuA+QJ1AobTii7AA4rD6A0AiOiqisfoBQCI>>$
echo 6KqKwjxkcgjHBTIwLGTrCDxQcgbHBTE5R0cq5NQKhuANMDCrwwAgAAAAADx/dws8YXIGPHp3>>$
echo AiTfw1O7AAA6hxgBdQaKhwMB6w2AvxgBAHQGQ4P7FXLnW8M8f3cLPEFyBjxadwIMIMNTuwAA>>$
echo OocDAXUGiocYAesNgL8DAQB0BkOD+xVy51vDuQAArITAdASqQev3wyvbgDkgdA2KAOiL/zoB>>$
echo dQND6+/DjTDDK9tmK9Jmi8qxCmb38WaFwHQSgPsDdQIq2/7DU1Lo4v9aW+sCKtv2BigEBHQJ>>$
echo gPsDdQSgwQOqgMowisKqw2ZRZlKsPCB0+05mK8BmicFmi9CKDIDpMHIQgPkKcwtGsgpm9+Jm>>$
echo A8Fz6WZaZlnDvykPrDwgdPtOPCh1DkaAPA10CKw8KXQDquvzxgUAw78pD4A8DXQZgDwvdQaA>>$
echo fAE5dw6sPCJ06zoGwQN05arr4sYFAL8pD4oFPC11A4pFATwodAg8MHIHPDl3A/jrAfnDAKw8>>$
echo IHT7TirkK8m/iQ6APA10N4A8L3UFgPwidS2sPCB1BP7B6wKxADwidQQy4OvePD90BDwqdQWA>>$
echo DnoFATxcdQQ66HTJiMWq68Qq7SnPsACqw1JXida/jQ+1gLhgcfnNIYn+X1rD9gZ6BQF0B8YG>>$
echo WA0C+cOxAejZ/3IHPQBxdAKJ8rknALRO+c0hcgqLFpgAiw6WAOsGxgZYDQL5w4nTgD8AdQ60>>$
echo Ks0hidOB6WwHi9HrGuix/3LlsB8g0IrYweoFsA8g0Ir4weoEgMJQ6Jb9w4nTgD8AdQa0LM0h>>$
echo 6wvohv9y7cHpA8DpAojoKuTonv2wOqqIyCrk6JT9wwAAAAAAAAAAAAAAALROuTcAzSFyKPYG>>$
echo lQAQdRFm/wZ0BmaLHpoAZgEefAbrDIA+ngAudAVm/wZ4BrRP69HDV1K/uRC5NwC+AQC4TnH5>>$
echo zSFaX3K5PQBxdLSL2Fe/uRD2BRB1EGb/BnQGZotVIGYBFnwG6wuAfSwudAVm/wZ4Br4BALhP>>$
echo cfnNIXPVuKFx+c0hX8Poqv9moXQG6J/9w+if/2aheAbolP3DZgPBZkhmmWb38cNW6Ij/XosE>>$
echo 6P78huDo+fyL2GahfAZmK8m5AASB+0JNdQXo0f/rBoH7Qkt1A+jG/4M+dAYAdQfGBlgNAusD>>$
echo 6Ej9wyvbidasPFx1AivbPC51AonzhMB1707D6Ob/hdt0Aone6QD96Nr/hdt0BMZH/wCJ1unw>>$
echo /InWrDxcdAQ8OnUCifKEwHXxUivbidaAPC51AonzgDwAdANG6/GF23QDxgcAXunA/InWifuy>>$
echo AIsE6Fn8PEFyCYD8OnUERkbrCLQZzSEEQbQ6q8YFACxAitCAPFx0FrBcqof+tEfNIYf+cwnG>>$
echo BlgNAk/pffy5QACwAPKuT4A8XHQOgDwAdAmAff9cdAOwXKqshMCqdfqJ34n+KuQqyayFwHUB>>$
echo wzwudQqA+Vx1Bf7ER+vshOR0CDxcdAuEwHQHKuSIwarr2U5PgH3/OnQKT4A9XHX0/sx18IB9>>$
echo /zp1CIA8XHQDsFyqrITAqnX666mJ1osEPEFyBYD8OnQM/gZYDbQZzSEEQbQ6q8OJ1osEPEFy>>$
echo B4D8OnUCRkbp2PuJ1oB8ATp0BMZEATrHRAIqLsdEBCoAuQgAtE75zSFzBsYGWA0Cw76eACvJ>>$
echo rITAdBA8LnUHgPkHdQWwIKr+wevrw7EC6wKxAejQ/HIIPQBxdAPphPv+BlgN6b3+9gZ6BQF0>>$
echo BsYGWA0Cw7EB6K38cgc9AHF0AonysAC0PfnNIXMGxgZYDQLDi9hmK+2+rRKJ8rkAeLQ/+c0h>>$
echo UIf+icHjCrAN8q51BGZF6/SH/lg9AHh02rQ++c0hZono6EH7wyvbK8mAPAB0Gehx+4XAdAFI>>$
echo i9isPCB0+zwsdPdO6F37icGFyXUBSYnWhdt0CYA8AHQERkt18yvbOct0CIA4AHQDQ+v0xgAA>>$
echo 6NL6iA5YDcOsPCB0+048LXUBRlDoH/tagPotdQNm99jDZlOsPCB0+048KHUMRuhsAIA8KXUB>>$
echo RusD6Mz/ZlvDZlPo3f9QrDwgdPtOiMFYgPkqdAqA+S90BYD5XHU9RmaL2FHovP9ZZpNmmYD5>>$
echo KnUSZvfri8pmmTnRdAXGBlgNAusXZoXbdA1m9/uA+Vx1A2aLwusFxgZYDQLrqmZbw2ZT6J3/>>$
echo UKw8IHT7TojBWID5K3QFgPktdSFGZovYUeiB/1lmk4D5K3UFZgHY6wNmKdhxBcYGWA0C68tm>>$
echo W8PowP+EyXQGxgZYDf/DgD5YDQJ0+GYr22YB2HkLZvfYxgUtR/4GWA3p9fkuQkFUAAEAuokO>>$
echo 6Lj4ctOsPCB0A6rr+Fa+uQqshMCqdfpesAK0PfnNIXK3o74Ki9i/rRKJ+rkABLQ/+c0hsA3y>>$
echo roA9CnUBR4A9QHTxifqB6q0SK8kqwLRC+c0hK8m0QPnNIcOsPCB0+048DXT1rDwvdfGs6P/4>>$
echo PFV1B4AOKAQB6+I8THUHgA4oBALr1zxUdQeADigEBOvMPFJ0CTxadRXGBikEMOiL+T1QAHYD>>$
echo uFAAoyoE66/DifuLzysOLAR09aEqBCvBdhiJ/gHHifv9T07zpPxHRqApBE+IBTv+dfmLPiwE>>$
echo igX2BigEAXQD6If49gYoBAJ0A+ir+IgFRzv7cuPDAABPRiBEQVRFICAgFwZUSU1FICAgSgZO>>$
echo VU1CRVIgBQdGSUxFUyAgBQdESVJTICAgEAdTSVpFICAgJgdFWFQgICAgfgctRVhUICAgigdO>>$
echo QU1FICAgmgdEUklWRSAghQgtRFJJVkUgoAhWT0wgICAgsghGVUxMICAgygdMRk4gICAg8whT>>$
echo Rk4gICAg9whMSU5FUyAgDQlTVFJJTkcgbgmsPCB0+06/vgvoNPh0C4PHCYH/Vwxy8vnDi0UH>>$
echo o7kLw1ZBUlNFVCBzeW50YXggZXJyb3INCrlQArouAbsCALRA+c0h/g5YDemwALkVALp3DOvp>>$
echo 6Bb3voEArDwgdPtOPA100zwvdM88PXTgOgYtAXUKRqw8IHT7Tujv/aw8IHT7TjwNdMa/XQ2s>>$
echo PD10BzwgdgOq6/SwPaqJPiwErDwgdPs8PXT3TuhZ/3IU6Bf4rDwgdPtOv7sL6Ij36Gn46wvo>>$
echo IvhyiMcGuQuPCuj6/bqJDr4pD4s+LAT/FrkL6Dv+uA0Kq7pZDYvPKdGLHr4KtED5zSGD+wF0>>$
echo BbQ++c0htEygWA3NIQBTRVQgV0FJVAAAAAAADUUjBwK+gQCsPCB0+06BPC8/dQq6MAK0Cc0h>>$
echo 6fEAK8m9///o7QB0BInBK+2APDp1GUbo3gB0Eyvtkbs8APfjA8hyBIXSdAO5EA6B+RAOdgO5>>$
echo EA64tgD34bsKAPfzicGAPC51N0aKBCwwcgQ8CnIDTusptAr25EYr7YvYigQsMHIHPApzA0YB>>$
echo w7i2APfju+gD9/OB+vQBdgFAA8iD/f90AonNgDwgdQFGgDwNdBKKFLQCzSFGgPoNdfSyCrQC>>$
echo zSEq5M0aidO4gBbNL7QLzSGEwHUTg/3/dO4q5M0aK9M56nLkKsDrKrQHzSGEwHUGtAfNIbD/>>$
echo PGFyBjx6dwIk3zyEdQKwjjyUdQKwmTyBdQKwmrRMzSGJ9yvAKv+6CgCKHIDrMDracw1G9+IB>>$
echo 2HIEhdJ06Yn3O/7DV0FJVCBbbWludXRlczpdc2Vjb25kc1suZGVjaW1hbF0gW3Byb21wdF0N>>$
echo CnZlcnNpb24gMS40IGJ5IEhvcnN0IFNjaGFlZmZlcg0KbWF4IHRpbWU6IDEgaG91cjsgZGVm>>$
echo YXVsdCB0aW1lOiB1bmxpbWl0ZWQNCkVycm9ybGV2ZWxzOg0KMDoJdGltZS1vdXQsIGVsc2U6>>$
echo IGtleSBwcmVzc2VkOg0KMS4uMjU0OiBBU0NJSSBrZXkgKHVwcGVyIGNhc2VkKQ0KMjU1Oglu>>$
echo b24gQVNDSUkNCiRYR1JFUAAAAGEI0Rw0DetffggDCAEOFAEVDBEAAwF4Z3JlcCAgVmVyc2lv>>$
echo biAxLjAzICBDb3B5cmlnaHQgKGMpIDE5OTQgUm9iZXJ0IE5vcmRpZXIAGkAoIyl4Z3JlcC5z>>$
echo IDEuMyA5NC8wNi8xNwD8iSamCYH8/vxyUTPAvwAZuQAI86u+gACsA/CIJCvwui8tv34JsQzo>>$
echo ZwJ0QnIHxoeKCQHr8rpdCjLkowAPuAAP6CQC6MEB6yHoDgLrHDLAupgKmJPR44uHNgrrCrhM>>$
echo Cosmpgm6Rgro/gGwAumVAaGUCQkGkgk4LpAJdAXGBiwKATgukQl0C7+WCbEIgA2AR+L6vQAP>>$
echo i/3oPgJyrTv9dq5PVov16MQCXnKmixaKCYsejAm4QEA61XUUOt10CDr1dRU6/XQROv10AgLE>>$
echo AsQ69XUCMuSjtAnoOAJ1BuiIBekgATPbtD7NIU6/AA+x/+gnAov7TovOK8pWOC61CXUxhOR1>>$
echo DTgukgl1BegGAnQC/sSgtAmEwHQSix6MCXgEOv11BDrddQSE5HQCDCCK4KO0CYvyugAPvUoR>>$
echo g8UrUovVtBrNIVpTi984LpIJdD6B/dUWcy64Ki6rMuSrUbEQtE7NIVlyHfZGFRB0EYB+Hi50>>$
echo C+jsAU+4XACrT+u+tE/NIXPji/tWUfOkWV6ILVEzybROzSFZcifoxwGJPqoJVVZSUVO4AD3N>>$
echo IXIo6L0EM9u0Ps0hW1laXl20T80hc9lbg+0rgf11EXIdUovVtBrNIVrrq8YGqAkCOC6OCXXW>>$
echo uI0K6IkA684z7Tkuqgl1C8YGqAkCuIMK6HQAXugZAXQHiS6qCenm/qCoCbRMzSG0MM0hPANy>>$
echo OTP/oSwAjsCFwHQuMsAzyUnyrq51+0dHi/e/AA8GHgcfuf8A6OEABh+L878iCrEIrDwudAOq>>$
echo 4viILbpYC+guALoiCugoALpgC+sduhAB6BcA6KX/uoUL6w9QhdJ0CegNALouCugHAFroAwC6>>$
echo MgqL+jLAM8lJ8q6DwQL32YseLArprwOE5HQG6LcAdQZO6BMAdBBXUYvZ8q50AovLSyvZQVlf>>$
echo w+hcADrCdAQ6xnUViuDojgB0DTrEdQ3ohQB0BYrE6wNOMsBOhMDD6DYAdA2L1qo8InQI6GkA>>$
echo dfb4TsOL3qw8InQIhMB194vz6+k72nYFOEf+dAFPTovOK8uL8/OkRuvT6DwAc/vDi9aL3zLk>>$
echo 6DAAdCo8L3UCsFw8YXIGPHp3AiTfqjwqdAQ8P3UC/sQ8OnQEPFx1BIvWi9/i0k+KxarDrDwg>>$
echo dAc8CXQDhMD5w4v7Vo12HqyqhMB1+l7DigWEwHgpMgaXCXQEPIB1H4vfO952B0uAP1x09kMr>>$
echo 39DLMsN4CoTbeQFPT/4GnwlHiC2L3riWCbEB6LEBdQb+Bp4Ji96L8zPtvwAXuwEZ6PUAcqxP>>$
echo T4vHLQAXdDmxAtPoBAdB0+iL0IvIuwoZMsCIB/7H4vo4LpMJdBsz7b5BGb9hGbvmALEaigUI>>$
echo BKTi+QPzA/tKdfAz2zPSvgAXO/V0Eq2FwHQRA9CthcB08DPtK9Dr6ova6+qJFqIJiR6kCTgG>>$
echo ngmwDXUGhe11BbAKoqAJw+MG6EkB6YYArIrQPF51Aaw8XXQhhMB0W+ghAXUYRlaL8dHmi7T+>>$
echo CayKyOMGrOgmAev1XuskiuCsPC11F6yEwHQyPF10Dej0AHQIhuA6xHYG6wdOTorE6PgArDxd>>$
echo dbaKwixedQ25AAGG2DAHQ+L7S4bY6xtA+cO4mAmxAuifAHSAhMB0KIbYCAeG2IXtdCLQw4DX>>$
echo ALiaCbEEi9bogAC4AQB0FYvyM9Kri8Kr68ozwKvDoqAJi+/r1+MPi9BJdOj32PfaSXXhSuve>>$
echo 6JYAcj10PovIi9CsPCx1D+iGAHItdQFIi9CsPCx0LIomnQmE5HkFPFx1Gqw8fXQGhOR5EesY>>$
echo i8KFwHQMK9FyEeucsAKpsAOpsASpsAWpsAapsAf5w1eL+DLtrITAeBOK4DxcdQmshMB4CIrg>>$
echo DIDyrorEX8M8OnUNigSxDFe/Fgryrl+wOsO4AP+KzCrIQYbYCAf+w+L6htjDUlOL3roACqws>>$
echo MHIQPAl3DIbQ9uZyDQLQcgnr606LxivDisJbWsOgtAmoIHQWugAPix6qCUuo33QExgc6Q+hc>>$
echo AKC0CahAdDeLRgCLTgJXv3QRuwoAM9KR9/OR9/OAwjBPiBWL0QvQdeyL11+7dBE4BrQJfQTG>>$
echo BzpD6CEAoLQJqIB0FIvWi99LSzvacgaAPwp1AUtD6AYAujIKuzQKi8srynYNuwEAtEDNIXIO>>$
echo O8FyAcOL2gPYgD8adPbGBiwKArh3CukA+rhsCun6+TPAo6wJo64Jo7AJo7IJorYJvgAtiTa4>>$
echo CYsepAmKFo8JijagCVKLFrgJuQDtK8p1HYvKK86B+f8Ddza6AC2L+iv5V9HpcwGk86VeuQDA>>$
echo UzPbtD/NIVtyowPQPQDAdDE71nQpi/pPgD0adBCFwHQR6x/oMAHrxegrAetnO/50C0+APQp0>>$
echo BEfGBQpHi9f+BrYJiRa4CVqL/usiOC62CXSGOC60CX0Bw72wCfYGtAlAdQiLRgALRgJ07emi>>$
echo /ov3iw64CSvPdNSwCvKudc6LzyvOSXQQgH3+DXUEiEX+SYH5/wNzlEFXVisOogl2e4rGPA10>>$
echo QTwKdAyNOPKudW1BjXX/K/NWUYvsvwAXuwAZtAGLDeMxrNeExHQD4vhGTitNAnc099nQxBL7>>$
echo g8cE4+JXU1BWUevbuQEA68pZXlhbX05Jdevry4vlOA6fCXUFQURE6wuAPAp09jvlct/5WV6L>>$
echo HqQJisZzBUbiizPJXl//BqwJdC4yynUD6UT/gCaoCf44LrQJfQ9XUlO9rAno0v1bWl/pKv//>>$
echo BrAJdQT/BrIJ6R3//wauCevMA/FSUIvBM9K5/wP38YvKWFor8cMAY2hsbnN2b3hyeWRpAAAA>>$
echo AAAAAAAAAAAAXiQuWyorP/sAAAoAAAAAAAAAAQAAAAAAAAAAAAAAAAAAAAAAGkEaYQAAIAAB>>$
echo fwAACjAAAF4hAAAaYQAACjAaQRphAAAPIQc6BlsEewAABQkBIAAAXyAAABpBAAAKMAZBBmEA>>$
echo AIAAAAC6CcAJxgnKCc4J0gnaCeQJ6gnuCfIJ+gl6eHV0c3BubGdkY2FYR1JFUAAAAAAAAgA6>>$
echo IAAADQoAAKEKsQrACtkK5Ar7Ch8LMgt4Z3JlcABOb3QgZW5vdWdoIHNwYWNlAEludmFsaWQg>>$
echo b3B0aW9uAFJlYWQgZXJyb3IAV3JpdGUgZXJyb3IATm90IGZvdW5kAENhbid0IG9wZW4AUkUg>>$
echo ZXJyb3IATlVMTCBleHByZXNzaW9uAFsgIF0gaW1iYWxhbmNlAFJhbmdlIGVuZHBvaW50IHRv>>$
echo byBsYXJnZQBCYWQgbnVtYmVyAFJhbmdlIGVuZHBvaW50IGlzIHplcm8ATW9yZSB0aGFuIDIg>>$
echo bnVtYmVycyBnaXZlbiBpbiBceyAgXH0AfSBleHBlY3RlZCBhZnRlciBcAEZpcnN0IG51bWJl>>$
echo ciBleGNlZWRzIHNlY29uZCBpbiBceyAgXH0AVXNhZ2U6IAAgWy1jaGxuc3Z5b3J4XSBleHBy>>$
echo ZXNzaW9uIFtmaWxlIC4uLl0ADQpPcHRpb25zOg0KCS1jICBMaW5lIGNvdW50IG9ubHkJLXIg>>$
echo IFJlY3Vyc2l2ZWx5IHNlYXJjaCBzdWJkaXJlY3Rvcmllcw0KCS1oICBObyBmaWxlIG5hbWVz>>$
echo CS1zICBTaWxlbnQgYWJvdXQgaW5hY2Nlc3NpYmxlIGZpbGVzDQoJLWwgIEZpbGUgbmFtZXMg>>$
echo b25seQktdiAgTm9uLW1hdGNoaW5nIGxpbmVzDQoJLW4gIE51bWJlciBsaW5lcwkteCAgTm8g>>$
echo bWFnaWM6IGFsbCBvcGVyYXRvcnMgbmVlZCBcDQoJLW8gIEVycm9ycyB0byBzdGRvdXQJLXkg>>$
echo IENhc2UtaW5zZW5zaXRpdmUgbWF0Y2gNCg0KU3ludGF4Og0KCV4gICAgc3RhcnQgb2YgbGlu>>$
echo ZSAgICAgcmVwZWF0OiAgKgkgMCBvciBtb3JlIHRpbWVzDQoJJCAgICBlbmQgb2YgbGluZQkJ>>$
echo KwkgMSBvciBtb3JlIHRpbWVzDQoJLiAgICB3aWxkY2FyZAkJCT8JIDAgb3IgMSB0aW1lcw0K>>$
echo CVtdICAgY2hhcmFjdGVyIGNsYXNzCQlce21cfQkgbSB0aW1lcw0KCVteXSAgaW52ZXJzZSBj>>$
echo bGFzcwkJXHttLFx9CSBtIG9yIG1vcmUgdGltZXMNCglcICAgIHF1b3RlIG5leHQgY2hhcmFj>>$
echo dGVyCVx7bSx1XH0JIG0gdG8gdSB0aW1lcw0KDQpDbGFzc2VzOg0KCTphICBhbHBoYQk6YyAg>>$
echo Y250cmwJOmQgIGRpZ2l0CTpnICBncmFwaA0KCTpsICBsb3dlcgk6biAgYWxudW0JOnAgIHB1>>$
echo bmN0CTpzICBzcGFjZQ0KCTp0ICBwcmludAk6dSAgdXBwZXIJOnggIHhkaWdpdAk6eiAgYXNj>>$
echo aWkAAIsMRka/AAHzpF9eWllbww==>>$
ren $ UP_FXP.COM

:CHK_XP
:REM Ŀ
:REM  XP-Verzeichnis prfen (mssen wir zuerst machen, um entscheiden zu
:REM  knnen, ob UP_FXP.COM spter gelscht wird oder nicht).
:REM 
set $XP=J>nul
if not "%$XP%"=="J" goto LOW_ENV
if not exist XP.EXE set $XP=N
if not exist XPOINT.CFG set $XP=N
if not exist XP-?.RES set $XP=N
if not exist UUZ.EXE set $XP=N

:REM Ŀ
:REM  Existenz der Parameter prfen
:REM  (wegen evtl. versehentlichem manuellem Aufruf auerhalb von XP).
:REM 
if "%1"=="" goto SYNTAX
if "%2"=="" goto SYNTAX

:REM Ŀ
:REM  Prfen, ob ausreichend Environment (141 Zeichen ohne
:REM  Variablenbezeichner) vorhanden ist.
:REM 
set $VER=abcde>nul
if not "%$VER%"=="abcde" goto LOW_ENV
set LAST_BOX=abcdefgh>nul
if not "%LAST_BOX%"=="abcdefgh" goto LOW_ENV
set UKA_CFG=abcdefghijklm>nul
if not "%UKA_CFG%"=="abcdefghijklm" goto LOW_ENV
set $XN_LOG=a>nul
if not "%$XN_LOG%"=="a" goto LOW_ENV
set RETURN=abcdefgh>nul
if not "%RETURN%"=="abcdefgh" goto LOW_ENV
:REM +-----------------------------------------------------------------------
:REM | Vorsichtshalber auf maximal mgliche Lnge der Adresse (80 Zeichen)
:REM | des Envelope-Empfngers prfen, alles andere ist zu aufwendig (mu
:REM | wegen max. Kommandozeilenlnge auf zwei Variablen aufgeteilt werden,
:REM | Lnge der Bezeichner ist daher zu bercksichtigen).
:REM +-----------------------------------------------------------------------
set CLIENT-MAILINENVELOPE=abcdefghijklmnopqrstuvwxyzabc>nul
if not "%CLIENT-MAILINENVELOPE%"=="abcdefghijklmnopqrstuvwxyzabc" goto LOW_ENV
set CLIENT-MAILINENVELOP1=abcdefghijklmnopqrstuvwxyzab>nul
if not "%CLIENT-MAILINENVELOP1%"=="abcdefghijklmnopqrstuvwxyzab" goto LOW_ENV
:REM +-----------------------------------------------------------------------
:REM | Die folgenden Variablen werden nur in $~$_ENVL.BAT ausgewertet
:REM +-----------------------------------------------------------------------
set $LINE=abcd>nul
if not "%$LINE%"=="abcd" goto LOW_ENV
set $X_LINE=abcd>nul
if not "%$X_LINE%"=="abcd" goto LOW_ENV
set $T_LINE=abcd>nul
if not "%$T_LINE%"=="abcd" goto LOW_ENV
set $B_LINE=abcd>nul
if not "%$B_LINE%"=="abcd" goto LOW_ENV
set $CFG=abcdefghij>nul
if not "%$CFG%"=="abcdefghij" goto LOW_ENV
set $RDCT=a>nul
if not "%$RDCT%"=="a" goto LOW_ENV
set $NOSTAT=a>nul
if not "%$NOSTAT%"=="a" goto LOW_ENV
:REM +-----------------------------------------------------------------------
:REM | Version setzen (mu mindestens bei jeder nderung an $~$_ENVL.BAT
:REM | aktualisiert werden!)
:REM +-----------------------------------------------------------------------
set $VER=0.99
:REM +-----------------------------------------------------------------------
:REM | Alle brigen Variablen zurck- (bzw. auf Default) setzen.
:REM +-----------------------------------------------------------------------
set LAST_BOX=
set UKA_CFG=
set $XN_LOG=N
set RETURN=
set CLIENT-MAILINENVELOPE=
set CLIENT-MAILINENVELOP1=
set $LINE=
set $X_LINE=
set $T_LINE=
set $B_LINE=
set $CFG=
set $RDCT=
set $NOSTAT=N

:CHK_OPT
:REM Ŀ
:REM  Optionen/Parameter auswerten und ggf. shiften
:REM 
echo %1 | up_fxp xgrep ^[-/] > nul
if errorlevel 1 goto CHK_PARA
up_fxp varset $PAR=string(2) of "%1" /U>$~$_PAR.BAT
call $~$_PAR.BAT
del $~$_PAR.BAT
if "%$PAR%"=="XNL" goto SET_LOG
if "%$PAR%"=="R+" goto RDCT_ON
if "%$PAR%"=="R-" goto RDCT_OFF
if "%$PAR%"=="NOSTAT" goto SET_STAT
:CHK_PARA
:REM +-----------------------------------------------------------------------
:REM | Nach Auswertung und Shiften der Optionen nochmal auf Existenz
:REM | der eigentlichen Parameter $CLPATH und $CONFIG prfen
:REM +-----------------------------------------------------------------------
set $PAR=
if "%1"=="" goto SYNTAX
if "%2"=="" goto SYNTAX
goto CHK_DIRS
:REM +-----------------------------------------------------------------------
:REM | Optionen setzen
:REM +-----------------------------------------------------------------------
:SET_LOG
set $XN_LOG=J
goto DO_SHIFT
:RDCT_ON
set $RDCT=J
goto DO_SHIFT
:RDCT_OFF
set $RDCT=N
goto DO_SHIFT
:SET_STAT
set $NOSTAT=J
:DO_SHIFT
shift
goto CHK_OPT

:CHK_DIRS
:REM Ŀ
:REM  Prfung auf Verzeichnis-Existenz mittels VARSET und XGREP; mag
:REM  komisch aussehen, funktioniert dafr aber unter allen Umgebungen
:REM  (auch beim COMMAND.COM von Win2K/WinXP, wo der Test auf <dir>\nul
:REM  nicht funktioniert). Wenn Verzeichnis nicht existiert, wird "DIR=0"
:REM  im String zurckgegeben.
:REM  Die Angabe des Punkts hinter "%1" ist wichtig, weil bei Angabe
:REM  eines schlieenden Backslashs (wie es hier der Fall ist) sonst u.U.
:REM  ein falsches Ergebnis zurckgegeben wrde!
:REM 
up_fxp varset DIR=dirs %1. | up_fxp xgrep -y "DIR=0" > nul
if not errorlevel 1 goto NO_CLDIR
if not exist .\%2.BFG goto NO_BFG

:REM Ŀ
:REM  Abbruch, wenn nicht im XP-Verzeichnis.
:REM 
if not "%$XP%"=="J" goto NO_XP

:REM Ŀ
:REM  UKA_PPP-Verzeichnis prfen.
:REM 
if not exist .\%1TCPPORT.EXE goto NO_UKA
if not exist .\%1EPPPDD.EXE goto NO_UKA
if not exist .\%1X_SCRIPT.EXE goto NO_UKA
if not exist .\%1X_POPN.EXE goto NO_UKA
if not exist .\%1X_MAILN.EXE goto NO_UKA
if not exist .\%1X_NEWSN.EXE goto NO_UKA

:REM Ŀ
:REM  UKA_PPP-Konfiguration definieren (%3 oder Boxname via $CONFIG)
:REM  und ggf. abbrechen, wenn keine gltige Konfiguration vorhanden.
:REM 
if "%3"=="" goto USE_BOX
set UKA_CFG=%3.$CF
if not exist .\%1%UKA_CFG% goto NO_$CF
goto MAKE_SCR

:USE_BOX
if exist .\%1%2.$CF set UKA_CFG=%2.$CF
if "%UKA_CFG%"=="" if not exist .\%1WATTCP.CFG goto NO_CFG

:MAKE_SCR
:REM Ŀ
:REM  Ggf. Script FXPNEWS erzeugen.
:REM 
cd .\%1.
if exist FXPNEWS goto MAKE_BAT
echo ##################################################################>FXPNEWS
echo ##                                                              ##>>FXPNEWS
echo ##  Netcall-Script fr FreeXP (RFC/Client-Box).                 ##>>FXPNEWS
echo ##  Wird von UKA_FXP.BAT im XP-Verzeichnis aufgerufen.          ##>>FXPNEWS
echo ##                                                              ##>>FXPNEWS
echo ##  Bitte UKA_FXP.TXT oder Kurzanleitung in UKA_FXP.BAT lesen!  ##>>FXPNEWS
echo ##                                                              ##>>FXPNEWS
echo ##################################################################>>FXPNEWS
echo cls>>FXPNEWS
echo $statusmessage="FreeXP netcall script running.">>FXPNEWS
..\up_fxp qecho "modify WATTCP.CFG,""$cc_ignore="",0"CRLF>>FXPNEWS
echo x$=$entry "WATTCP.CFG","redirect=">>FXPNEWS
..\up_fxp qecho "if x$>"""""CRLF>>FXPNEWS
echo    modify WATTCP.CFG,"redirect=">>FXPNEWS
echo end if>>FXPNEWS
..\up_fxp qecho "maxwait=5"CRLF>>FXPNEWS
echo call $config+".$DO">>FXPNEWS
..\up_fxp qecho "maxwait=0"CRLF>>FXPNEWS

:MAKE_BAT
:REM Ŀ
:REM  Ggf. Batch fr das Envelope-/Redirect-Handling eingegangener Mails
:REM  sowie die Readressierung von Status-Mails im UKA_PPP-Verzeichnis
:REM  erstellen (wird spter ins Spool-Verzeichnis von UKA_PPP kopiert;
:REM  mssen wir so machen, um diese Batch in einer for-Schleife fr jede
:REM  existierende M*.MSG einzeln callen zu knnen).
:REM 
if not exist $~$_ENVL.BAT goto NEW_BAT
..\up_fxp xgrep -y "Version=%$VER%" $~$_ENVL.BAT > nul
if not errorlevel 1 goto GET_ENVL
:NEW_BAT
..\up_fxp qecho ":REM  Version=%$VER%"CRLF>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :REM  Diese Batchdatei gehrt zum Add-On fr den Betrieb von UKA_PPP>>$~$_ENVL.BAT
echo :REM  in einer RFC/Client-Box von FreeXP v3.40 oder hher; es ist>>$~$_ENVL.BAT
echo :REM  weder notwendig noch sinnvoll, sie zu lschen. Falls sie nicht>>$~$_ENVL.BAT
echo :REM  existiert, wird sie von UKA_FXP.BAT beim nchsten Netcall ohnehin>>$~$_ENVL.BAT
echo :REM  neu erzeugt, was nur unntig Zeit kostet.>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :REM ------------------------------------------------------------------------->>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
..\up_fxp qecho "if """ 037 "1""=="""" goto ENDE"CRLF>>$~$_ENVL.BAT
echo if exist *.exe goto ENDE>>$~$_ENVL.BAT
echo if not exist ..\x_script.exe goto ENDE>>$~$_ENVL.BAT
..\up_fxp qecho "if """ 037 "$NOSTAT" 037 """==""J"" goto CHK_RDCT"CRLF>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :REM ------------------------------------------------------------------------->>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp crlf<" 037 "1>$~$_MSG"CRLF>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :REM  Anhand erster Zeile auf Statusmail von x_news@localhost prfen>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp linex 1 <$~$_MSG | up_fxp xgrep -y">>$~$_ENVL.BAT
..\up_fxp qecho " ""^From x_news@localhost"" > nul"CRLF>>$~$_ENVL.BAT
echo if not errorlevel 1 goto STATUS>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :REM ------------------------------------------------------------------------->>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :CHK_RDCT>>$~$_ENVL.BAT
..\up_fxp qecho "if """ 037 "$RDCT" 037 """==""J"" goto REDIRECT"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "if """ 037 "$RDCT" 037 """==""N"" goto ENVELOPE"CRLF>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
..\up_fxp qecho ":REM  <Config>.$DO auf x_pop-Aufruf mit ""-r <user@do.main>"" prfen"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp varget $CONFIG from ..\WATTCP.CFG | up_fxp s ""="" 2 | up_fxp s S "" "" 1 >$~$.BAT"CRLF>>$~$_ENVL.BAT
echo call $~$.BAT $CFG>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp varset $CFG=string of " 037 "$CFG" 037 " /U>$~$.BAT"CRLF>>$~$_ENVL.BAT
echo call $~$.BAT>>$~$_ENVL.BAT
..\up_fxp qecho "if """ 037 "$CFG" 037 """=="""" goto NO_RDCT"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "if not exist ..\" 037 "$CFG" 037 ".$DO goto NO_RDCT"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp xgrep -y ""^[^#]*x_pop[^#]*-r [^#]+@[^#]+\.[^#]+"" ..\" 037 "$CFG" 037 ".$DO > nul"CRLF>>$~$_ENVL.BAT
echo if errorlevel 1 goto NO_RDCT>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :REM ------------------------------------------------------------------------->>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo set $RDCT=J>>$~$_ENVL.BAT
..\up_fxp qecho "echo set $RDCT=J>>..\LAST_BOX.BAT"CRLF>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :REDIRECT>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo if exist $~$_MSG goto CHK_HDR>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp crlf<" 037 "1>$~$_MSG"CRLF>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :CHK_HDR>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :REM  Headerzeile "X-Original-To:" suchen>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp xgrep -hny ""^X-Original-To: "" $~$_MSG>$~$"CRLF>>$~$_ENVL.BAT
echo if errorlevel 1 goto ENVELOPE>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp s S "":"" 1 <$~$>$~$.BAT"CRLF>>$~$_ENVL.BAT
echo call $~$.BAT $X_LINE>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :REM Headerzeile "To:" suchen>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp xgrep -hny ""^To: "" $~$_MSG>$~$"CRLF>>$~$_ENVL.BAT
echo if errorlevel 1 goto ENVELOPE>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp s S "":"" 1 <$~$>$~$.BAT"CRLF>>$~$_ENVL.BAT
echo call $~$.BAT $T_LINE>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :REM Leerzeile nach Header suchen>>$~$_ENVL.BAT
..\up_fxp qecho "set $B_LINE=0"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp xgrep -hny ""^$"" $~$_MSG>$~$"CRLF>>$~$_ENVL.BAT
echo if errorlevel 1 goto CHK_XHDR>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp s S "":"" 1 <$~$>$~$.BAT"CRLF>>$~$_ENVL.BAT
echo call $~$.BAT $B_LINE>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :REM  "X-Original-To:" im Body?>>$~$_ENVL.BAT
echo :CHK_XHDR>>$~$_ENVL.BAT
..\up_fxp qecho "if """ 037 "$B_LINE" 037 """==""0"" goto CHK_THDR"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp varset $n=" 037 "$B_LINE" 037 "-" 037 "$X_LINE" 037 " > nul"CRLF>>$~$_ENVL.BAT
echo if errorlevel 1 goto ENVELOPE>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :REM  "To:" nicht unmittelbar hinter "X-Original-To:"?>>$~$_ENVL.BAT
echo :CHK_THDR>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp varset $n=" 037 "$T_LINE" 037 "-" 037 "$X_LINE" 037 " > nul"CRLF>>$~$_ENVL.BAT
echo if errorlevel 1 goto ENVELOPE>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp varset $n=" 037 "$T_LINE" 037 "-" 037 "$X_LINE" 037 "-2 > nul"CRLF>>$~$_ENVL.BAT
echo if not errorlevel 1 goto ENVELOPE>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
..\up_fxp qecho "echo Redirect-Handling: " 037 "1"CRLF>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :REM  Header bis vor "X-Original-To:" schreiben>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp varset $LINE=" 037 "$X_LINE" 037 "-1 >$~$.BAT"CRLF>>$~$_ENVL.BAT
echo call $~$.BAT>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp linex 1-" 037 "$LINE" 037 " <$~$_MSG>$"CRLF>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
..\up_fxp qecho ":REM  ""To:"" => ""X-Envelope-To:"""CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp qecho ""X-Envelope-To: "">>$"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho ":REM  Max. 15 Zeichen zwischen ""| "" und "">>"" wegen Novell Client32!"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp linex " 037 "$T_LINE" 037 " <$~$_MSG | up_fxp s "":"" 2 >>$"CRLF>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
..\up_fxp qecho ":REM  ""X-Original-To:"" => ""To:"""CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp qecho ""To: "">>$"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho ":REM  Max. 15 Zeichen zwischen ""| "" und "">>"" wegen Novell Client32!"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp linex " 037 "$X_LINE" 037 " <$~$_MSG | up_fxp s "":"" 2 >>$"CRLF>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :REM  Ggf. gefoldete Zeilen an "To:" anhngen>>$~$_ENVL.BAT
..\up_fxp qecho "set $LINE=" 037 "$T_LINE" 037 CRLF>>$~$_ENVL.BAT
echo :NEXTLINE>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp varset $LINE=" 037 "$LINE" 037 "+1 >$~$.BAT"CRLF>>$~$_ENVL.BAT
echo call $~$.BAT>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp linex " 037 "$LINE" 037 " < $~$_MSG | up_fxp xgrep ""^[:s]"" > nul"CRLF>>$~$_ENVL.BAT
echo if errorlevel 1 goto WR_REST>>$~$_ENVL.BAT
echo :REM  Header links-trimmen und ein Leerzeichen voranstellen>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp qecho "" "">>$"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho ":REM  Max. 15 Zeichen zwischen ""| "" und "">>"" wegen Novell Client32!"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp linex " 037 "$LINE" 037 " <$~$_MSG | up_fxp s "" "" 2 >>$"CRLF>>$~$_ENVL.BAT
echo goto NEXTLINE>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :REM ------------------------------------------------------------------------->>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :NO_RDCT>>$~$_ENVL.BAT
echo set $RDCT=N>>$~$_ENVL.BAT
..\up_fxp qecho "echo set $RDCT=N>>..\LAST_BOX.BAT"CRLF>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :ENVELOPE>>$~$_ENVL.BAT
..\up_fxp qecho "if """ 037 "CLIENT-MAILINENVELOPE" 037 """=="""" goto CRLF2LF"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "echo Envelope-Handling: " 037 "1"CRLF>>$~$_ENVL.BAT
echo if exist $~$_MSG goto INS_ENVL>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp crlf<" 037 "1>$~$_MSG"CRLF>>$~$_ENVL.BAT
echo :INS_ENVL>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp linex 1 <$~$_MSG>$"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "set $LINE=2"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp linex 2 <$~$_MSG | up_fxp xgrep -y ""^X-Envelope-To: "" > nul"CRLF>>$~$_ENVL.BAT
echo if not errorlevel 1 goto WR_REST>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp qecho ""X-Envelope-To: <" 037 "CLIENT-MAILINENVELOPE" 037 ">""CRLF>>$"CRLF>>$~$_ENVL.BAT
echo goto WR_REST>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :REM ------------------------------------------------------------------------->>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :STATUS>>$~$_ENVL.BAT
..\up_fxp qecho "echo Status-Mail      : " 037 "1"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp linex 1 <$~$_MSG>$"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "set $T_LINE=0"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "set $B_LINE=0"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp xgrep -hny ""^To: "" $~$_MSG>$~$"CRLF>>$~$_ENVL.BAT
echo if errorlevel 1 goto MAKESTAT>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp s S "":"" 1 <$~$>$~$.BAT"CRLF>>$~$_ENVL.BAT
echo call $~$.BAT $T_LINE>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp xgrep -hny ""^$"" $~$_MSG>$~$"CRLF>>$~$_ENVL.BAT
echo if errorlevel 1 goto MAKESTAT>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp s S "":"" 1 <$~$>$~$.BAT"CRLF>>$~$_ENVL.BAT
echo call $~$.BAT $B_LINE>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :MAKESTAT>>$~$_ENVL.BAT
..\up_fxp qecho "set $LINE=2"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "if """ 037 "$T_LINE" 037 """==""0"" goto WRITE_TO"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "if """ 037 "$B_LINE" 037 """==""0"" goto SKIP_TO"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp varset $n=" 037 "$B_LINE" 037 "-" 037 "$T_LINE" 037 " > nul"CRLF>>$~$_ENVL.BAT
echo if errorlevel 1 goto WRITE_TO>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :SKIP_TO>>$~$_ENVL.BAT
..\up_fxp qecho "if """ 037 "$T_LINE" 037 """==""2"" goto INC_LINE"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp varset $LINE=" 037 "$T_LINE" 037 "-1 >$~$.BAT"CRLF>>$~$_ENVL.BAT
echo call $~$.BAT>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp linex 2-" 037 "$LINE" 037 " <$~$_MSG>>$"CRLF>>$~$_ENVL.BAT
echo :INC_LINE>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp varset $LINE=" 037 "$T_LINE" 037 "+1 >$~$.BAT"CRLF>>$~$_ENVL.BAT
echo call $~$.BAT>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :WRITE_TO>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp qecho ""To: </UKA_PPP>""CRLF>>$"CRLF>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :REM ------------------------------------------------------------------------->>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :WR_REST>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp linex " 037 "$LINE" 037 "-<$~$_MSG>>$"CRLF>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :CRLF2LF>>$~$_ENVL.BAT
echo if not exist $ goto NO_HNDLG>>$~$_ENVL.BAT
..\up_fxp qecho "up_fxp crlf /L<$>$~$_MSG"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "del " 037 "1"CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "ren $~$_MSG " 037 "1"CRLF>>$~$_ENVL.BAT
echo goto CLEANUP>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :NO_HNDLG>>$~$_ENVL.BAT
..\up_fxp qecho "echo Unbehandelte Mail: " 037 "1"CRLF>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :CLEANUP>>$~$_ENVL.BAT
..\up_fxp qecho "for " 037 037 "v in ($CFG,$LINE,$B_LINE,$T_LINE,$X_LINE) do set " 037 037 "v="CRLF>>$~$_ENVL.BAT
..\up_fxp qecho "for " 037 037 "f in ($,$~$*.,$~$.BAT) do if exist " 037 037 "f del " 037 037 "f"CRLF>>$~$_ENVL.BAT
echo.>>$~$_ENVL.BAT
echo :ENDE>>$~$_ENVL.BAT

:GET_ENVL
:REM Ŀ
:REM  Adresse des Envelope-Empfngers aus <Box>.BFG auslesen
:REM  und zusammen mit Boxname und Redirect-Option in THIS_BOX.BAT
:REM  ablegen (wird spter in LAST_BOX.BAT umbenannt).
:REM 
echo :REM  Diese Batchdatei gehrt zum Add-On fr den Betrieb von UKA_PPP>THIS_BOX.BAT
echo :REM  in einer RFC/Client-Box von FreeXP v3.40 oder hher; sie wird>>THIS_BOX.BAT
echo :REM  beim nchsten Netcall evtl. zur Behandlung von beim letzten>>THIS_BOX.BAT
echo :REM  Netcall nicht eingelesenen Nachrichten bentigt und darf daher>>THIS_BOX.BAT
echo :REM  nicht gelscht werden!>>THIS_BOX.BAT
echo.>>THIS_BOX.BAT
echo set LAST_BOX=%2>>THIS_BOX.BAT
..\up_fxp varget Client-MailInEnvelope from ..\%2.BFG>>THIS_BOX.BAT
if "%$RDCT%"=="" goto CALL_BOX
echo set $RDCT=%$RDCT%>>THIS_BOX.BAT
:CALL_BOX
call THIS_BOX.BAT
cd ..

:REM Ŀ
:REM  Beim letzten Netcall evtl. im Spool-Verzeichnis von UKA_PPP liegen-
:REM  gebliebene ausgehende Nachrichten lschen (falls UKA_PPP oder der
:REM  Rechner whrend des letzten Netcalls abgestrzt sind, tragen diese
:REM  Nachrichten in FreeXP ohnehin noch das Unversandt-Flag und wir
:REM  wrden u.U. Dupes versenden, wenn wir sie nicht lschen wrden).
:REM  Bei der Gelegenheit auch evtl. liegengebliebene Temp-Dateien
:REM  entfernen.
:REM 
cd .\%1SPOOL
for %%f in (*.OUT,*.BAT,*.COM,$*.*) do del %%f
cd ..\..

:REM Ŀ
:REM  Beim letzten Netcall evtl. im Spool-Verzeichnis von UKA_PPP liegen-
:REM  gebliebene eingegangene Nachrichten ggf. der Envelope-/Redirect-
:REM  Behandlung unterziehen, ins box-spezifische Spool von FreeXP
:REM  verschieben (werden beim aktuellen bzw. beim nchsten Netcall der
:REM  jeweiligen Box automatisch eingelesen) und Netcall ggf. abbrechen.
:REM 
if not exist .\%1SPOOL\*.MSG if not exist .\SPOOL\%2\*.MSG goto NETCALL
if exist .\%1LAST_BOX.BAT call .\%1LAST_BOX.BAT
if "%LAST_BOX%"=="%2" goto SAME_BOX
:REM +-----------------------------------------------------------------------
:REM | Test auf Existenz des Spool-Verzeichnisses der letzten Pollbox
:REM +-----------------------------------------------------------------------
up_fxp varset DIR=dirs .\SPOOL\%LAST_BOX%. | up_fxp xgrep -y "DIR=0" > nul
if errorlevel 1 if exist .\%LAST_BOX%.BFG goto LAST_BOX

:SAME_BOX
:REM +-----------------------------------------------------------------------
:REM | Aktuelle Pollbox ist identisch mit der Pollbox des letzten Netcalls
:REM | (oder sie ist nicht identisch, aber die <Box>.BFG oder das Spool-
:REM | Verzeichnis der Pollbox des letzten Netcalls existieren nicht mehr)
:REM | und es liegen *.MSG im Spool-Verzeichnis von XP oder von UKA_PPP. Im
:REM | letzteren Fall werden M*.MSG ggf. der Envelope-/Redirect-Behandlung
:REM | unterzogen und anschlieend *.MSG ins box-spezifische Spool von XP
:REM | verschoben. Es wird in jedem Fall eine Meldung ausgegeben und der
:REM | Netcall abgebrochen.
:REM +-----------------------------------------------------------------------
echo Alte Nachrichten fr Serverbox "%2" werden zuerst importiert!
if not exist .\%1SPOOL\*.MSG goto WAIT
:REM +-----------------------------------------------------------------------
:REM | Wenn keine M*.MSG existieren, brauchen wir auch kein
:REM | Envelope-/Redirect-Handling durchzufhren
:REM +-----------------------------------------------------------------------
if not exist .\%1SPOOL\M*.MSG goto MOV_MSG1
set RETURN=MOV_MSG1
goto ENVELOPE
:REM +-----------------------------------------------------------------------
:REM | *.MSG vom UKA_PPP-Spool ins XP-Spool verschieben
:REM +-----------------------------------------------------------------------
:MOV_MSG1
up_fxp move .\%1SPOOL\*.MSG .\SPOOL\%2 > nul
goto WAIT

:LAST_BOX
:REM +-----------------------------------------------------------------------
:REM | Pollbox des letzten Netcalls ist nicht identisch mit aktueller
:REM | Pollbox. Falls *.MSG im Spool-Verzeichnis von UKA_PPP liegen,
:REM | werden M*.MSG ggf. der Envelope-/Redirect-Behandlung unterzogen,
:REM | anschlieend *.MSG ins box-spezifische Spool von XP verschoben und
:REM | es wird eine entsprechende Meldung ausgegeben. Der Netcall wird in
:REM | jedem Fall durchgefhrt, weil das Spool-Verzeichnis der Pollbox des
:REM | letzten Netcalls vom Netcall der aktuellen Pollbox in keinem Fall
:REM | betroffen ist.
:REM +-----------------------------------------------------------------------
if not exist .\%1SPOOL\*.MSG goto NETCALL
echo Alte Nachrichten fr Serverbox "%LAST_BOX%" werden
echo beim nchsten Netcall dieser Box importiert!
:REM +-----------------------------------------------------------------------
:REM | Wenn keine M*.MSG existieren, brauchen wir auch kein
:REM | Envelope-/Redirect-Handling durchzufhren
:REM +-----------------------------------------------------------------------
if not exist .\%1SPOOL\M*.MSG goto MOV_MSG2
set RETURN=MOV_MSG2
goto ENVELOPE
:MOV_MSG2
up_fxp move .\%1SPOOL\*.MSG .\SPOOL\%LAST_BOX% > nul
:REM +-----------------------------------------------------------------------
:REM | Daten der aktuellen Pollbox restaurieren.
:REM +-----------------------------------------------------------------------
call .\%1THIS_BOX.BAT
echo.
echo Netcall fr Serverbox "%2" wird jetzt durchgefhrt...
UP_FXP WAIT 5

:NETCALL
cd .\%1.
..\up_fxp move THIS_BOX.BAT LAST_BOX.BAT > nul
:REM Ŀ
:REM  Zu versendende Nachrichten vom box-spezifischen Spool-Verzeichnis
:REM  ins Spool-Verzeichnis von UKA_PPP verschieben.
:REM 
if exist ..\SPOOL\%2\*.OUT ..\up_fxp move ..\SPOOL\%2\*.OUT .\SPOOL > nul

:REM Ŀ
:REM  Existierende *.LOG nach *.$LG umbenennen (wenn sowohl <Log>.LOG als
:REM  auch <Log>.$LG existieren, <Log>.$LG verwerfen).
:REM 
:REM +-----------------------------------------------------------------------
:REM | Altes X_SCRIPT.$LG und PPPD.$LG ggf. restaurieren, nicht kumulieren
:REM +-----------------------------------------------------------------------
if not exist X_SCRIPT.$LG goto PPPD_OLD
if not exist X_SCRIPT.LOG ren X_SCRIPT.$LG X_SCRIPT.LOG
if exist X_SCRIPT.$LG del X_SCRIPT.$LG
:PPPD_OLD
if not exist PPPD.$LG goto NEWS_OLD
if not exist PPPD.LOG ren PPPD.$LG PPPD.LOG
if exist PPPD.$LG del PPPD.$LG
:REM +-----------------------------------------------------------------------
:REM | Beim letzten Netcall nicht kumuliertes X_NEWS.LOG ggf. kumulieren
:REM +-----------------------------------------------------------------------
:NEWS_OLD
if not exist X_NEWS.$LG goto REN_LOGS
if "%$XN_LOG%"=="J" goto APP_NEW1
if not exist X_NEWS.LOG ren X_NEWS.$LG X_NEWS.LOG
if exist X_NEWS.$LG del X_NEWS.$LG
goto REN_LOGS
:APP_NEW1
if not exist X_NEWS.LOG goto REN_LOGS
copy /b X_NEWS.$LG+X_NEWS.LOG X_NEWS.$~$ > nul
del X_NEWS.$LG
del X_NEWS.LOG
ren X_NEWS.$~$ X_NEWS.LOG
:REN_LOGS
if exist X_SCRIPT.LOG ren X_SCRIPT.LOG X_SCRIPT.$LG
if exist PPPD.LOG ren PPPD.LOG PPPD.$LG
if exist X_NEWS.LOG ren X_NEWS.LOG X_NEWS.$LG
cd ..

:REM Ŀ
:REM  UKA_PPP-Netcall starten (mit %UKA_CFG% wird Konfiguration bergeben).
:REM 
.\%1X_SCRIPT.EXE FXPNEWS %UKA_CFG%

:REM Ŀ
:REM  XPCLIENT.LOG erzeugen und ggf. aktuelles X_NEWS.LOG an kumuliertes
:REM  X_NEWS.$LG anhngen (X_SCRIPT.LOG und PPPD.LOG werden nicht
:REM  kumuliert).
:REM 
cd .\%1.
if exist XPCLIENT.$LG del XPCLIENT.$LG
if not exist X_SCRIPT.LOG goto NO_LOG
:REM +-----------------------------------------------------------------------
:REM | Der folgende Fall (X_SCRIPT.LOG mit Gre 0) wird vermutlich nie
:REM | eintreten und wird hier nur sicherheitshalber abgefangen, weil
:REM | whrend des Netcalls eine solche Datei im UKA_PPP-Verzeichnis
:REM | zeitweise existiert.
:REM +-----------------------------------------------------------------------
..\up_fxp varset SIZE=size of X_SCRIPT.LOG | ..\up_fxp xgrep -y "SIZE=0" > nul
if errorlevel 1 goto MAKE_LOG
:REM +-----------------------------------------------------------------------
:REM | Netcall wurde in UKA_PPP (bei der Anwahl) abgebrochen,
:REM | alte Logs restaurieren
:REM +-----------------------------------------------------------------------
echo *** Netcall bei Anwahl abgebrochen ***>XPCLIENT.$LG
del X_SCRIPT.LOG
goto OLD_LOGS
:NO_LOG
:REM +-----------------------------------------------------------------------
:REM | Netcall wurde in UKA_PPP (bei 'mailshow') abgebrochen,
:REM | alte Logs restaurieren
:REM +-----------------------------------------------------------------------
echo *** Netcall vor Anwahl abgebrochen ***>XPCLIENT.$LG
:OLD_LOGS
if exist X_SCRIPT.$LG ren X_SCRIPT.$LG X_SCRIPT.LOG
if exist X_NEWS.$LG ren X_NEWS.$LG X_NEWS.LOG
if exist PPPD.$LG ren PPPD.$LG PPPD.LOG
..\up_fxp qecho > ..\NO_UVS.ERR
goto END_LOG

:MAKE_LOG
:REM +-----------------------------------------------------------------------
:REM | X_SCRIPT.LOG existiert => Netcall wurde durchgefhrt
:REM +-----------------------------------------------------------------------
if exist X_SCRIPT.$LG del X_SCRIPT.$LG
echo.>XPCLIENT.$LG
echo ----------------------- X_SCRIPT.LOG ----------------------->>XPCLIENT.$LG
copy /b XPCLIENT.$LG+X_SCRIPT.LOG XPCLIENT.$~$ > nul
del XPCLIENT.$LG
ren XPCLIENT.$~$ XPCLIENT.$LG

if exist X_NEWS.LOG goto NEWS_OK
if exist X_NEWS.$LG ren X_NEWS.$LG X_NEWS.LOG
goto PPPD_LOG
:NEWS_OK
echo.>>XPCLIENT.$LG
echo ------------------------ X_NEWS.LOG ------------------------>>XPCLIENT.$LG
copy /b XPCLIENT.$LG+X_NEWS.LOG XPCLIENT.$~$ > nul
del XPCLIENT.$LG
ren XPCLIENT.$~$ XPCLIENT.$LG
if not exist X_NEWS.$LG goto PPPD_LOG
if "%$XN_LOG%"=="J" goto APP_NEW2
del X_NEWS.$LG
goto PPPD_LOG
:APP_NEW2
copy /b X_NEWS.$LG+X_NEWS.LOG X_NEWS.$~$ > nul
del X_NEWS.$LG
del X_NEWS.LOG
ren X_NEWS.$~$ X_NEWS.LOG

:PPPD_LOG
if exist PPPD.LOG goto PPPD_OK
if exist PPPD.$LG ren PPPD.$LG PPPD.LOG
goto END_LOG
:PPPD_OK
del PPPD.$LG
echo.>>XPCLIENT.$LG
echo ------------------------- PPPD.LOG ------------------------->>XPCLIENT.$LG
copy /b XPCLIENT.$LG+PPPD.LOG XPCLIENT.$~$ > nul
del XPCLIENT.$LG
ren XPCLIENT.$~$ XPCLIENT.$LG

:END_LOG
if exist XPCLIENT.$LG ren XPCLIENT.$LG XPCLIENT.LOG
cd ..

:REM Ŀ
:REM  Eingegangene und unversandte Nachrichten vom UKA_PPP-Spoolverzeichnis
:REM  ins box-spezifische Spool-Verzeichnis von XP verschieben (vorher ggf.
:REM  M*.MSG der Envelope-/Redirect-Behandlung unterziehen).
:REM 
if not exist .\%1SPOOL\*.MSG goto NO_MSG
if not exist .\%1SPOOL\M*.MSG goto MOV_MSG3
set RETURN=MOV_MSG3
goto ENVELOPE
:MOV_MSG3
up_fxp move .\%1SPOOL\*.MSG .\SPOOL\%2 > nul

:NO_MSG
if exist .\%1SPOOL\ACTIVE del .\%1SPOOL\ACTIVE
if exist .\%1SPOOL\*.OUT up_fxp move .\%1SPOOL\*.OUT .\SPOOL\%2 > nul
goto ENDE

:ENVELOPE
:REM Ŀ
:REM  Subroutine fr Envelope-/Redirect-Handling
:REM  (%RETURN% mu korrekt gesetzt sein!)
:REM 
echo.
cd .\%1SPOOL
if not exist $~$_ENVL.BAT copy ..\$~$_ENVL.BAT > nul
if not exist UP_FXP.COM copy ..\..\UP_FXP.COM > nul
for %%f in (M*.MSG) do call $~$_ENVL.BAT %%f
del $~$_ENVL.BAT
del UP_FXP.COM
cd ..\..
goto %RETURN%

:LOW_ENV
echo.
echo Fehler: Umgebungsspeicher (Environment) nicht ausreichend!
echo         Unter /Config/Extern/Shell/Environment-Gre hheren Wert eintragen!
echo         (1024 Bytes ist in den meisten Fllen ausreichend.)
goto NO_CALL

:SYNTAX
echo.
echo Fehler: Parameter unvollstndig!
echo --------------------------------
echo.
echo UKA_FXP.BAT - Add-On fr den Betrieb von UKA_PPP
echo               in einer RFC/Client-Box von FreeXP
up_fxp qecho "              (c) 2004 by FreeXP <support@freexp.de>"CRLF
echo.
up_fxp qecho "Syntax:    UKA_FXP.BAT [Optionen] <UKA_PPP-Verz.> <Boxname> [UKA_PPP-Konfig.]"CRLF
echo.
echo Optionen:  /XNL    = X_NEWS.LOG kumulieren        (Default: berschreiben)
up_fxp qecho "           /R+     = Redirect-Handling erzwingen  (Default: <Cfg>.$DO prfen)"CRLF
up_fxp qecho "           /R-     = Redirect-Handling verhindern (Default: <Cfg>.$DO prfen)"CRLF
up_fxp qecho "           /NOSTAT = Status-Mails => PM-Brett     (Default: UKA_PPP)"CRLF
echo.
echo Beispiele: UKA_FXP.BAT /R- /XNL UKA_PPP\ T-ONLINE
echo            UKA_FXP.BAT /NOSTAT  UKA_PPP\ T-ONLI01 T-ONLINE
echo.
echo            Wird keine UKA_PPP-Konfiguration angegeben (erstes Beispiel),
echo            wird automatisch die dem Boxnamen entsprechende Konfiguration
up_fxp qecho "           verwendet (Boxname ""T-ONLINE"" => Konfiguration T-ONLINE.$CF)."CRLF
echo.
echo            Bei Angabe einer UKA_PPP-Konfiguration als drittem Parameter
echo            (zweites Beispiel) darf kein Pfad und keine Dateierweiterung
echo            angegeben werden.
goto WAIT

:NO_CLDIR
echo.
echo Fehler: Client-Verzeichnis "%1" nicht vorhanden!
goto NO_CALL

:NO_BFG
echo.
echo Fehler: Serverbox "%2" nicht vorhanden!
goto NO_CALL

:NO_XP
echo.
echo Fehler: UKA_FXP.BAT liegt offenbar nicht im XP-Verzeichnis
echo         oder Dateien im XP-Verzeichnis sind unvollstndig?!
goto NO_CALL

:NO_UKA
echo.
echo Fehler: "%1" ist offenbar kein UKA_PPP-Verzeichnis?!
goto NO_CALL

:NO_$CF
echo.
echo Fehler: Konfigurationsdatei "%1%UKA_CFG%" fehlt?!
goto NO_CALL

:NO_CFG
echo.
echo Fehler: Konfigurationsdateien "%1%2.$CF"
echo         und "%1WATTCP.CFG" fehlen?!
goto NO_CALL

:NO_CALL
echo.
echo Netcall wird abgebrochen...
goto WAIT

:WAIT
:REM Ŀ
:REM  Hier kommen wir nur vorbei, wenn der Netcall wegen irgendeines
:REM  Fehlers abgebrochen wurde. Wenn UKA_FXP.BAT im XP-Verzeichnis
:REM  gestartet wurde, erzeugen wir daher die Datei NO_UVS.ERR, um die
:REM  Fehlermeldung "Es konnten nicht alle Nachrichten versandt werden!"
:REM  zu unterdrcken.
:REM 
up_fxp WAIT 5
if not "%$XP%"=="J" goto ENDE
up_fxp qecho > NO_UVS.ERR

:ENDE
if exist $CRC.COM del $CRC.COM
:REM Ŀ
:REM  UP_FXP.COM nur lschen, wenn Batch nicht im XP-Verzeichnis
:REM  gestartet wurde.
:REM 
if not "%$XP%"=="J" if exist UP_FXP.COM del UP_FXP.COM
set $XP=
set $VER=
set LAST_BOX=
set UKA_CFG=
set RETURN=
set CLIENT-MAILINENVELOPE=
set CLIENT-MAILINENVELOP1=
set $RDCT=
set $LINE=
set $X_LINE=
set $T_LINE=
set $B_LINE=
set $NOSTAT=
set $CFG=
